| xmonad-contrib-0.9.1: Third party extensions for xmonad | Source code | Contents | Index

XMonad.Config.Azerty

Portability | unportable
Stability | stable
Maintainer | Devin Mullins <me@twifkak.com>

Contents

Usage

Description
This module fixes some of the keybindings for the francophone among you who use an AZERTY keyboard layout. Config stolen from TeXitoi's config on the wiki.
Synopsis

azertyConfig
azertyKeys

Usage

To use this module, start with the following `~/.xmonad/xmonad.hs`:

     import XMonad
     import XMonad.Config.Azerty

     main = xmonad azertyConfig

If you prefer, an azertyKeys function is provided which you can use as so:

     import qualified Data.Map as M
     main = xmonad someConfig { keys = \c -> azertyKeys c `M.union` keys someConfig c }

azertyConfig
azertyKeys
Produced by Haddock version 2.4.2